org.eclipse.lyo.oslc4j.core.model

## Class QueryCapability

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.QueryCapability

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core#")
      @OslcResourceShape(title="OSLC Query Capability Resource Shape",
                         describes="http://open-services.net/ns/core#QueryCapability")
      public class QueryCapability
      extends AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryCapability()`
    `QueryCapability(String title, URI queryBase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourceType(URI resourceType)`
    `void` | `addUsage(URI usage)`
    `String` | `getLabel()`
    `URI` | `getQueryBase()`
    `URI` | `getResourceShape()`
    `URI[]` | `getResourceTypes()`
    `String` | `getTitle()`
    `URI[]` | `getUsages()`
    `void` | `setLabel(String label)`
    `void` | `setQueryBase(URI queryBase)`
    `void` | `setResourceShape(URI resourceShape)`
    `void` | `setResourceTypes(URI[] resourceTypes)`
    `void` | `setTitle(String title)`
    `void` | `setUsages(URI[] usages)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryCapability

          public QueryCapability()

    - #### QueryCapability

          public QueryCapability(String title,
                         URI queryBase)

  - ### Method Detail

    - #### addResourceType

          public void addResourceType(URI resourceType)

    - #### addUsage

          public void addUsage(URI usage)

    - #### getLabel

          @OslcDescription(value="Very short label for use in menu items")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#label")
          @OslcReadOnly
          @OslcTitle(value="Label")
          public String getLabel()

    - #### getQueryBase

          @OslcDescription(value="The base URI to use for queries. Queries are invoked via HTTP GET on a query URI formed by appending a key=value pair to the base URI, as described in Query Capabilities section")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#queryBase")
          @OslcReadOnly
          @OslcTitle(value="Query Base")
          public URI getQueryBase()

    - #### getResourceShape

          @OslcDescription(value="The Query Capability SHOULD provide a Resource Shape that describes the query base URI")
          @OslcName(value="resourceShape")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#resourceShape")
          @OslcRange(value="http://open-services.net/ns/core#ResourceShape")
          @OslcReadOnly
          @OslcTitle(value="Resource Shape")
          @OslcValueShape(value="resourceShapes/resourceShape")
          public URI getResourceShape()

    - #### getResourceTypes

          @OslcDescription(value="The expected resource type URI that will be returned with this query capability. These would be the URIs found in the result resource\'s rdf:type property")
          @OslcName(value="resourceType")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#resourceType")
          @OslcReadOnly
          @OslcTitle(value="Resource Types")
          public URI[] getResourceTypes()

    - #### getTitle

          @OslcDescription(value="Title string that could be used for display")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcReadOnly
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### getUsages

          @OslcDescription(value="An identifier URI for the domain specified usage of this query capability. If a service provides multiple query capabilities, it may designate the primary or default one that should be used with a property value of http://open-services/ns/core#default")
          @OslcName(value="usage")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#usage")
          @OslcReadOnly
          @OslcTitle(value="Usages")
          public URI[] getUsages()

    - #### setLabel

          public void setLabel(String label)

    - #### setQueryBase

          public void setQueryBase(URI queryBase)

    - #### setResourceShape

          public void setResourceShape(URI resourceShape)

    - #### setResourceTypes

          public void setResourceTypes(URI[] resourceTypes)

    - #### setTitle

          public void setTitle(String title)

    - #### setUsages

          public void setUsages(URI[] usages)

Copyright © 2016. All rights reserved.